aboutsummaryrefslogtreecommitdiffstats
path: root/install_deps.sh
diff options
context:
space:
mode:
authorTaylor Gerring <taylor.gerring@gmail.com>2014-11-16 09:36:30 +0800
committerTaylor Gerring <taylor.gerring@gmail.com>2014-11-16 09:36:30 +0800
commit58812fad4293db2edaee0fa04b2c5477bc6cc3f0 (patch)
tree22d4dbd3e9d3309242bbe616e69c98d2da7c525d /install_deps.sh
parent790ded0f4743d02606d96a5febffb0907104de23 (diff)
downloadgo-tangerine-58812fad4293db2edaee0fa04b2c5477bc6cc3f0.tar.gz
go-tangerine-58812fad4293db2edaee0fa04b2c5477bc6cc3f0.tar.zst
go-tangerine-58812fad4293db2edaee0fa04b2c5477bc6cc3f0.zip
Reorg travis.yml
Diffstat (limited to 'install_deps.sh')
-rwxr-xr-xinstall_deps.sh8
1 files changed, 8 insertions, 0 deletions
diff --git a/install_deps.sh b/install_deps.sh
new file mode 100755
index 000000000..73a313324
--- /dev/null
+++ b/install_deps.sh
@@ -0,0 +1,8 @@
+#!/bin/bash
+
+set -e
+
+TEST_DEPS=$(go list -f '{{.Imports}} {{.TestImports}} {{.XTestImports}}' github.com/ethereum/go-ethereum/... | sed -e 's/\[//g' | sed -e 's/\]//g' | sed -e 's/C //g')
+if [ "$TEST_DEPS" ]; then
+ go get -race $TEST_DEPS
+fi